using System;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Aberwyn.Migrations
{
    public partial class AddDoughPlans : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "DoughPlans",
                columns: table => new
                {
                    Id = table.Column<int>(type: "int", nullable: false)
                        .Annotation("MySql:ValueGenerationStrategy", MySqlValueGenerationStrategy.IdentityColumn),
                    AntalPizzor = table.Column<int>(type: "int", nullable: false),
                    ViktPerPizza = table.Column<double>(type: "double", nullable: false),
                    Mjol = table.Column<double>(type: "double", nullable: false),
                    Vatten = table.Column<double>(type: "double", nullable: false),
                    Olja = table.Column<double>(type: "double", nullable: false),
                    Salt = table.Column<double>(type: "double", nullable: false),
                    Jast = table.Column<double>(type: "double", nullable: false),
                    TotalDeg = table.Column<double>(type: "double", nullable: false),
                    Datum = table.Column<DateTime>(type: "datetime(6)", nullable: false),
                    Namn = table.Column<string>(type: "longtext", nullable: false)
                        .Annotation("MySql:CharSet", "utf8mb4")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_DoughPlans", x => x.Id);
                })
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "DoughPlans");
        }
    }
}
